export declare enum Carrier {
    CeskaPosta = "CESKA_POSTA",
    Dhl = "DHL",
    DhlCz = "DHL_CZ",
    DhlDe = "DHL_DE",
    DhlExpress = "DHL_EXPRESS",
    Dpd = "DPD",
    Geis = "GEIS",
    Gls = "GLS",
    Internal = "INTERNAL",
    Liftago = "LIFTAGO",
    MallCz = "MALL_CZ",
    MallSk = "MALL_SK",
    Packeta = "PACKETA",
    Ppl = "PPL",
    ShippyPro = "SHIPPYPRO",
    Wedo = "WEDO"
}
export declare enum ParcelStatus {
    AcceptedByInputApi = "ACCEPTED_BY_INPUT_API",
    CarrierPickedUp = "CARRIER_PICKED_UP",
    Delivered = "DELIVERED",
    NotAvailable = "NOT_AVAILABLE",
    ReadyToTakeover = "READY_TO_TAKEOVER",
    Returned = "RETURNED",
    Returning = "RETURNING",
    Canceled = "CANCELED",
    WaitingForTheCarrier = "WAITING_FOR_THE_CARRIER"
}
export declare enum HealthStatus {
    OK = "OK",
    ERROR = "ERROR"
}
export type CarrierService = '2' | '15' | '8' | '6' | '4' | '108' | '9' | '28' | '17' | '18' | '36' | '105' | '106' | '107' | '201' | '202' | '203' | '204';
export type ExtraCarrierService = '101' | '102' | '103' | '104' | '105' | '106' | '107' | '108' | '109' | '110' | '111' | '112' | '113' | '114' | '115' | '116' | '117' | '118' | '119' | '120' | '121' | '122' | '123' | '124';
export declare enum UnitOfMeasurement {
    Metric = "metric",
    Imperial = "imperial"
}
export declare enum RegistrationNumberType {
    VAT = "VAT",
    EIN = "EIN",
    GST = "GST",
    SSN = "SSN",
    EOR = "EOR",
    DUN = "DUN",
    FED = "FED",
    STA = "STA",
    CNP = "CNP",
    IE = "IE",
    INN = "INN",
    KPP = "KPP",
    OGR = "OGR",
    OKP = "OKP",
    MRN = "MRN",
    SDT = "SDT",
    FTZ = "FTZ",
    DAN = "DAN",
    TAN = "TAN",
    DTF = "DTF",
    RGP = "RGP",
    DLI = "DLI",
    NID = "NID",
    PAS = "PAS",
    MID = "MID"
}
export declare enum AttachmentType {
    Invoice = "invoice"
}
export type ISODate = string;
export type UUID = string;
export type ULID = string;
export type ISOCountry = string;
//# sourceMappingURL=common.d.ts.map