"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttachmentType = exports.RegistrationNumberType = exports.UnitOfMeasurement = exports.HealthStatus = exports.ParcelStatus = exports.Carrier = void 0;
var Carrier;
(function (Carrier) {
    Carrier["CeskaPosta"] = "CESKA_POSTA";
    Carrier["Dhl"] = "DHL";
    Carrier["DhlCz"] = "DHL_CZ";
    Carrier["DhlDe"] = "DHL_DE";
    Carrier["DhlExpress"] = "DHL_EXPRESS";
    Carrier["Dpd"] = "DPD";
    Carrier["Geis"] = "GEIS";
    Carrier["Gls"] = "GLS";
    Carrier["Internal"] = "INTERNAL";
    Carrier["Liftago"] = "LIFTAGO";
    Carrier["MallCz"] = "MALL_CZ";
    Carrier["MallSk"] = "MALL_SK";
    Carrier["Packeta"] = "PACKETA";
    Carrier["Ppl"] = "PPL";
    Carrier["ShippyPro"] = "SHIPPYPRO";
    Carrier["Wedo"] = "WEDO";
})(Carrier = exports.Carrier || (exports.Carrier = {}));
var ParcelStatus;
(function (ParcelStatus) {
    ParcelStatus["AcceptedByInputApi"] = "ACCEPTED_BY_INPUT_API";
    ParcelStatus["CarrierPickedUp"] = "CARRIER_PICKED_UP";
    ParcelStatus["Delivered"] = "DELIVERED";
    ParcelStatus["NotAvailable"] = "NOT_AVAILABLE";
    ParcelStatus["ReadyToTakeover"] = "READY_TO_TAKEOVER";
    ParcelStatus["Returned"] = "RETURNED";
    ParcelStatus["Returning"] = "RETURNING";
    ParcelStatus["Canceled"] = "CANCELED";
    ParcelStatus["WaitingForTheCarrier"] = "WAITING_FOR_THE_CARRIER";
})(ParcelStatus = exports.ParcelStatus || (exports.ParcelStatus = {}));
var HealthStatus;
(function (HealthStatus) {
    HealthStatus["OK"] = "OK";
    HealthStatus["ERROR"] = "ERROR";
})(HealthStatus = exports.HealthStatus || (exports.HealthStatus = {}));
var UnitOfMeasurement;
(function (UnitOfMeasurement) {
    UnitOfMeasurement["Metric"] = "metric";
    UnitOfMeasurement["Imperial"] = "imperial";
})(UnitOfMeasurement = exports.UnitOfMeasurement || (exports.UnitOfMeasurement = {}));
var RegistrationNumberType;
(function (RegistrationNumberType) {
    RegistrationNumberType["VAT"] = "VAT";
    RegistrationNumberType["EIN"] = "EIN";
    RegistrationNumberType["GST"] = "GST";
    RegistrationNumberType["SSN"] = "SSN";
    RegistrationNumberType["EOR"] = "EOR";
    RegistrationNumberType["DUN"] = "DUN";
    RegistrationNumberType["FED"] = "FED";
    RegistrationNumberType["STA"] = "STA";
    RegistrationNumberType["CNP"] = "CNP";
    RegistrationNumberType["IE"] = "IE";
    RegistrationNumberType["INN"] = "INN";
    RegistrationNumberType["KPP"] = "KPP";
    RegistrationNumberType["OGR"] = "OGR";
    RegistrationNumberType["OKP"] = "OKP";
    RegistrationNumberType["MRN"] = "MRN";
    RegistrationNumberType["SDT"] = "SDT";
    RegistrationNumberType["FTZ"] = "FTZ";
    RegistrationNumberType["DAN"] = "DAN";
    RegistrationNumberType["TAN"] = "TAN";
    RegistrationNumberType["DTF"] = "DTF";
    RegistrationNumberType["RGP"] = "RGP";
    RegistrationNumberType["DLI"] = "DLI";
    RegistrationNumberType["NID"] = "NID";
    RegistrationNumberType["PAS"] = "PAS";
    RegistrationNumberType["MID"] = "MID";
})(RegistrationNumberType = exports.RegistrationNumberType || (exports.RegistrationNumberType = {}));
var AttachmentType;
(function (AttachmentType) {
    AttachmentType["Invoice"] = "invoice";
})(AttachmentType = exports.AttachmentType || (exports.AttachmentType = {}));
//# sourceMappingURL=common.js.map