export declare enum RabbitMQExchange {
    HealthCheck = "health-check",
    HealthStatus = "health-status",
    Order = "order",
    Tracking = "tracking",
    TrackingRequeue = "tracking-requeue"
}
export declare enum RabbitMQRoutingKey {
    Order = "order",
    OrderSave = "order-save",
    OrderTracking = "tracking",
    OrderUpdate = "order-update",
    OrderCancel = "order-cancel",
    HealthStatus = "health-status",
    HealthCheck = "health-check",
    PrintLabel = "print-label",
    OrderStatusOutput = "output",
    OutputError = "output-error"
}
export declare enum RabbitMQQueuesKeyWords {
    HealthCheck = "health-check",
    HealthStatus = "health-status",
    Order = "order",
    Tracking = "tracking"
}
export declare enum RabbitMQPatterns {
    Order = "ORDER_SAVE",
    OrderSave = "ORDER_SAVE",
    OrderUpdate = "ORDER_UPDATE",
    OrderDelay = "ORDER_DELAY",
    OrderGet = "ORDER_GET",
    Output = "OUTPUT",
    OutputError = "OUTPUT_ERROR",
    HealthCheck = "HEALTH_CHECK",
    HealthStatus = "HEALTH_STATUS",
    Tracking = "TRACKING",
    Print = "PRINT"
}
export declare const RABBITMQ_SERVICE = "RabbitMQService";
//# sourceMappingURL=types.d.ts.map