"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RABBITMQ_SERVICE = exports.RabbitMQPatterns = exports.RabbitMQQueuesKeyWords = exports.RabbitMQRoutingKey = exports.RabbitMQExchange = void 0;
var RabbitMQExchange;
(function (RabbitMQExchange) {
    RabbitMQExchange["HealthCheck"] = "health-check";
    RabbitMQExchange["HealthStatus"] = "health-status";
    RabbitMQExchange["Order"] = "order";
    RabbitMQExchange["Tracking"] = "tracking";
    RabbitMQExchange["TrackingRequeue"] = "tracking-requeue";
})(RabbitMQExchange = exports.RabbitMQExchange || (exports.RabbitMQExchange = {}));
var RabbitMQRoutingKey;
(function (RabbitMQRoutingKey) {
    RabbitMQRoutingKey["Order"] = "order";
    RabbitMQRoutingKey["OrderSave"] = "order-save";
    RabbitMQRoutingKey["OrderTracking"] = "tracking";
    RabbitMQRoutingKey["OrderUpdate"] = "order-update";
    RabbitMQRoutingKey["OrderCancel"] = "order-cancel";
    RabbitMQRoutingKey["HealthStatus"] = "health-status";
    RabbitMQRoutingKey["HealthCheck"] = "health-check";
    RabbitMQRoutingKey["PrintLabel"] = "print-label";
    RabbitMQRoutingKey["OrderStatusOutput"] = "output";
    RabbitMQRoutingKey["OutputError"] = "output-error";
})(RabbitMQRoutingKey = exports.RabbitMQRoutingKey || (exports.RabbitMQRoutingKey = {}));
var RabbitMQQueuesKeyWords;
(function (RabbitMQQueuesKeyWords) {
    RabbitMQQueuesKeyWords["HealthCheck"] = "health-check";
    RabbitMQQueuesKeyWords["HealthStatus"] = "health-status";
    RabbitMQQueuesKeyWords["Order"] = "order";
    RabbitMQQueuesKeyWords["Tracking"] = "tracking";
})(RabbitMQQueuesKeyWords = exports.RabbitMQQueuesKeyWords || (exports.RabbitMQQueuesKeyWords = {}));
var RabbitMQPatterns;
(function (RabbitMQPatterns) {
    RabbitMQPatterns["Order"] = "ORDER_SAVE";
    RabbitMQPatterns["OrderSave"] = "ORDER_SAVE";
    RabbitMQPatterns["OrderUpdate"] = "ORDER_UPDATE";
    RabbitMQPatterns["OrderDelay"] = "ORDER_DELAY";
    RabbitMQPatterns["OrderGet"] = "ORDER_GET";
    RabbitMQPatterns["Output"] = "OUTPUT";
    RabbitMQPatterns["OutputError"] = "OUTPUT_ERROR";
    RabbitMQPatterns["HealthCheck"] = "HEALTH_CHECK";
    RabbitMQPatterns["HealthStatus"] = "HEALTH_STATUS";
    RabbitMQPatterns["Tracking"] = "TRACKING";
    RabbitMQPatterns["Print"] = "PRINT";
})(RabbitMQPatterns = exports.RabbitMQPatterns || (exports.RabbitMQPatterns = {}));
exports.RABBITMQ_SERVICE = 'RabbitMQService';
//# sourceMappingURL=types.js.map